package de.ivu.elect.business.mandant.control;

import java.io.Serializable;

import javax.inject.Inject;

import de.ivu.elect.business.CurrentCustomer;

public class MandantSupport implements Serializable {

  private static final long serialVersionUID = 1L;

  @Inject
  private transient MandantSupportStore mandantSupportStore;

  @Inject
  private transient CurrentCustomer currentCustomer;

  public boolean isMandantenUnterstuetzt(){
    return isSystemUnterstuetztMandanten() && isCustomerUnterstuetztMandanten() && mandantSupportStore.isMandantUnterstuetzt();
  }

  public boolean isCustomerUnterstuetztMandanten() {
    return currentCustomer.getCustomer().isMandantUnterstuetzt();
  }

  @Deprecated // NUR BEIM INIT-PROZESS DIREKT VERWENDEN(!) sonst: isMandatenUnterstuetzt
  public boolean isSystemUnterstuetztMandanten() {
    return false; // Explizit in Kundenprojekten freischalten
  }

}
